<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical" android:layout_width="match_parent"
    android:layout_height="300dp"
    android:paddingLeft="13dp"
    android:paddingTop="11dp"
    android:paddingRight="11dp"
    android:paddingBottom="16dp"
    android:background="@drawable/shape_reactangle_white_bg_10">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical">
        <TextView
            android:id="@+id/tv_dialog_title"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="正在搜索可用设备..."
            android:textSize="16sp"
            android:textColor="#1990ff"/>
        <ImageView
            android:id="@+id/iv_loading"
            android:layout_width="26dp"
            android:layout_height="26dp"
            android:src="@mipmap/sousuo_loding"/>
    </LinearLayout>
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:id="@+id/ll_no_device"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_centerInParent="true"
            android:visibility="gone"
            android:orientation="vertical">
            <ImageView
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:src="@mipmap/img_wushebei"></ImageView>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="暂未搜索到可用蓝牙设备"
                android:textSize="12sp"
                android:textColor="#999999"
                android:layout_marginTop="25dp" />
        </LinearLayout>
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rcv_device"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingLeft="16dp"/>
    </RelativeLayout>
    <TextView
        android:id="@+id/tv_cancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="#1990ff"
        android:textSize="14sp"
        android:padding="10dp"
        android:layout_marginTop="27dp"
       android:layout_gravity="center_horizontal"
        android:text="取消"></TextView>

</LinearLayout>